summaryrefslogtreecommitdiff
path: root/configure
diff options
context:
space:
mode:
authorRoland McGrath <roland@gnu.org>2004-08-27 19:41:25 +0000
committerRoland McGrath <roland@gnu.org>2004-08-27 19:41:25 +0000
commit619f94483393ed8a4f3165e1b19897de56d46b05 (patch)
tree56705b9f756232d6d48d1e892e76bd7479e4d67f /configure
parentc80e931a05aa0ade0feb5da3daba419e6bc7adeb (diff)
* configure.in (usetls): Default to yes.
* configure: Regenerated.
Diffstat (limited to 'configure')
-rwxr-xr-xconfigure15
1 files changed, 8 insertions, 7 deletions
diff --git a/configure b/configure
index 0624aa7013..985118daa5 100755
--- a/configure
+++ b/configure
@@ -1608,7 +1608,7 @@ if test "${with_tls+set}" = set; then
withval="$with_tls"
usetls=$withval
else
- usetls=no
+ usetls=yes
fi;
@@ -1850,14 +1850,11 @@ echo "$as_me: error:
esac
# Test whether such a subdir really exists.
- if test -d $srcdir/$f; then
- add_ons_pfx="$add_ons_pfx $f/"
- add_ons_sfx="$add_ons_sfx /$f"
- else
+ test -d $srcdir/$f || {
{ { echo "$as_me:$LINENO: error: add-on directory \"$f\" does not exist" >&5
echo "$as_me: error: add-on directory \"$f\" does not exist" >&2;}
{ (exit 1); exit 1; }; }
- fi
+ }
done
# Now source each add-on's configure fragment.
@@ -1876,7 +1873,11 @@ echo "${ECHO_T}running configure fragment for add-on $libc_add_on" >&6
{ echo "$as_me:$LINENO: WARNING: add-on fragment $libc_add_on_frag missing" >&5
echo "$as_me: WARNING: add-on fragment $libc_add_on_frag missing" >&2;}
fi
- use_add_ons="$use_add_ons $libc_add_on"
+ if test -n "$libc_add_on"; then
+ use_add_ons="$use_add_ons $libc_add_on"
+ add_ons_pfx="$add_ons_pfx $libc_add_on/"
+ add_ons_sfx="$add_ons_sfx /$libc_add_on"
+ fi
done
# Use echo to strip excess whitespace.
add_ons="`echo $use_add_ons`"